Bug 374371 - Maximizing Window while Compiz Enabled in Dock Doesn't Size Correctly
Maximizing Window while Compiz Enabled in Dock Doesn't Size Correctly
Status: CLOSED DUPLICATE of bug 431302
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 02:16 EST by Andrew Healey
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 09:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Healey 2007-11-10 02:16:21 EST
Description of problem:
If "desktop effects" are enabled while laptop is in docking station and using
external screen, maximizing any window does not fill desktop.  Instead, window's
size matches laptop screen size, not external monitor size.

Version-Release number of selected component (if applicable):
Fedora 8
compiz-gnome-0.6.2-3.fc8
compiz-0.6.2-3.fc8

How reproducible:
Always

Steps to Reproduce:
1. Dock laptop with external 19" monitor (Dell 1900FP).
2. Enable Desktop Effects
3. Maximize any window.
  
Actual results:
Maximized windows are sized as if screen is 15.1 laptop screen.

Expected results:
Maximized windows would be sized to fit external 19" LCD screen (Dell 1900FP)

Additional info:
When laptop is not docked and desktop effects are enabled, the windows maximize
as expected.  This is only a problem when the laptop is docked.  This is a Dell
Latitude D610 with onboard Intel 915MP video in a D/Port Advanced Port Replicator.
Comment 1 Marco Fais 2007-11-11 15:37:34 EST
Hi,

same problem here, seems related to the RandR extension.

If I display the status using the xrandr utility, I get this listing:

root@sweet[~]# xrandr 
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1280 x 1024
VGA-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 360mm x
270mm
   1280x1024      84.8*+   85.0     75.0     60.0  
   1280x960       85.0     60.0  
   1280x800       85.0     75.0     70.0     60.0  
   1152x864      100.0     85.1     85.0     75.0     75.0     74.8     70.0   
 60.0  
   1280x768       85.0     75.0     70.0     60.0  
   1280x720       85.0     75.0     70.0     60.0  
   1152x768       54.8  
   1024x768       84.9     85.0     75.1     75.0     70.1     60.0  
   832x624        74.6  
   800x600        84.9     85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     84.6     75.0     72.8     72.8     75.0     66.7   
 69.6     60.0     59.9  
   720x400        87.8     85.0     70.1  
   640x400        85.1  
   640x350        85.1  
DVI-0 unknown connection 1152x864+0+0 (normal left inverted right x axis y axis)
0mm x 0mm
   1280x800       60.0  
   1152x864       60.0* 
   1280x768       60.0  
   1280x720       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
S-video disconnected (normal left inverted right x axis y axis)

Just one monitor here, using the VGA-0 output at 1280x1024. When using compiz,
windows are maximized at the 1152x864 resolution, and also mplayer in full
screen mode plays videos using this resolution. mplayer does the same also when
I'm not using compiz, so I think that this bug should be filed to something
related to RandR.

If I disable the DVI-O output (xrandr --output DVI-0 --off) all works perfectly
(compiz AND mplayer).

Bye!
Comment 2 Marc 2007-12-07 07:29:05 EST
Hi,

I also have the same problem with only one monitor. I have a normal resolution
of 1280x1024 through VGA, but when I enable desktop effects, windows are
maximized to 1152x864.

I found a workaround that is to reduce the resolution to 1024x768 and then
restore it to the original 1280x1024. This is effective while in the same
session (in other words, if I logout and then login again, the effect of the
workaround is lost and I have to do it again), but I can enable and disable
compiz as much as I want while in the same session without losing the effect.

Bye
Comment 3 Michael Dugger 2007-12-08 02:57:14 EST
Same problem with one 19 inch monitor at 1440x900. Windows are scaled to about
3/4 size.
Comment 4 Matěj Cepl 2008-01-31 10:11:40 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Matěj Cepl 2008-03-03 16:30:41 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Danny Baumann 2008-03-11 07:09:04 EDT
I'd call this one a dupe of #431302.
Comment 7 Matěj Cepl 2008-04-11 09:33:40 EDT
me to

*** This bug has been marked as a duplicate of 431302 ***

Note You need to log in before you can comment on or make changes to this bug.